name: unilago_prototype
description: A new Flutter project.

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.2.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_3d_obj: ^0.0.6
  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.2
  flutter_spinkit: ^4.1.2
  cloud_firestore: ^0.13.4+2
  provider: ^4.0.4
  firebase_auth: ^0.15.5+3
  google_sign_in: ^4.4.0
  shared_preferences: ^0.5.6+3
  badges: ^1.1.1
  flushbar: ^1.10.0
  font_awesome_flutter: ^8.8.1
  carousel_slider: ^1.4.1
  connectivity: ^0.4.3+1
  intl:
  url_launcher: ^5.4.5
  flutter_dialogflow: ^0.1.2
  cached_network_image: ^2.1.0+1
  progress_dialog: ^1.2.0
  flutter_offline: ^0.3.0


dev_dependencies:
  flutter_test:
    sdk: flutter


# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/images/
    - assets/models/Keyboard.obj
    - assets/models/model.obj
    - assets/models/ComputerMouse.obj
    - assets/models/Monitor.obj
    - assets/credentials.json

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  fonts:
    - family: Muli
      fonts:
        - asset: assets/fonts/muli/Muli-Regular.ttf
        - asset: assets/fonts/muli/Muli-Italic.ttf
        - asset: assets/fonts/muli/Muli-Light.ttf
        - asset: assets/fonts/muli/Muli-LightItalic.ttf
    - family: Ovo
      fonts:
        - asset: assets/fonts/ovo/Ovo-Regular.ttf
          style: normal
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
